系统设计文档
1. 概述
    该文档描述了升级系统的设计，包括架构设计、模块设计和数据库设计。
2. 架构设计
    前端部分：使用Vue.js实现，提供用户界面。
    客户端部分：使用C语言实现，处理具体的升级逻辑。
    升级过程Shell脚本：使用Bash编写，执行升级过程中的具体操作。
3. 模块设计
    用户管理模块
        负责用户注册、登录、注销和权限管理。
    升级管理模块
        负责上传、管理和分发升级包。
        包含升级包检查、下载、验证、安装和备份功能。
    日志管理模块
        负责记录和管理系统日志。
4. 数据库设计
    用户表
        user_id：用户ID
        username：用户名
        password：密码（加密存储）
        role：角色（管理员/普通用户）
    升级包表
        package_id：升级包ID
        version：版本号
        file_path：文件路径
        checksum：校验和
    日志表
        log_id：日志ID
        timestamp：时间戳
        message：日志信息
        api_documentation.md

API 文档
1. 概述
    该文档描述了升级系统的API接口，包括请求方法、请求URL、请求参数和响应格式。
2. 用户管理 API
    注册
        请求方法：POST
        请求URL：/api/register
        请求参数：
            username：用户名
            password：密码
        响应格式：
            {
                "status": "success",
                "message": "User registered successfully."
            }
    登录
        请求方法：POST
        请求URL：/api/login
        请求参数：
            username：用户名
            password：密码
        响应格式：
            {
              "status": "success",
              "token": "JWT_TOKEN"
            }
    注销
        请求方法：POST
        请求URL：/api/logout
        请求参数：无
        响应格式：
            {
              "status": "success",
              "message": "User logged out successfully."
            }
3. 升级管理 API
    上传升级包
        请求方法：POST
        请求URL：/api/upload
        请求参数：
        file：升级包文件
        响应格式：
            {
              "status": "success",
              "message": "Upgrade package uploaded successfully."
            }
    检查更新
        请求方法：GET
        请求URL：/api/check_updates
        请求参数：无
        响应格式：
            {
              "status": "success",
              "update_available": true,
              "version": "1.0.1"
            }
    下载更新
        请求方法：GET
        请求URL：/api/download
        请求参数：
            version：版本号
        响应格式：文件下载
4. 日志管理 API
    查看日志
        请求方法：GET
        请求URL：/api/logs
        请求参数：无
        响应格式：
            {
              "status": "success",
              "logs": [
               {
                  "timestamp": "2024-05-28T10:00:00Z",
                  "message": "Upgrade started."
                },
                 ...
                ]
            }

