升级系统说明文档
目录
概述
技术栈
目录结构
前端部分
运行方式
代码说明
客户端部分
运行方式
代码说明
升级过程Shell脚本
运行方式
代码说明
1. 概述
该升级系统由前端部分（使用Vue.js实现）、客户端部分（使用C语言实现）和升级过程Shell脚本组成。前端部分负责提供用户界面，客户端部分负责处理具体的升级逻辑，Shell脚本用于执行升级过程中的具体操作。
2. 技术栈
前端部分：Vue.js, Vue Router, Vuex
客户端部分：C语言
升级过程Shell脚本：Bash
3. 目录结构
plaintext
Copy
project/
├── frontend/
│   ├── public/
│   ├── src/
│   │   ├── components/
│   │   ├── views/
│   │   ├── router/
│   │   ├── store/
│   │   ├── App.vue
│   │   ├── main.js
│   │   └── styles/
│   ├── package.json
│   └── README.md
├── client/
│   ├── src/
│   │   ├── main.c
│   │   ├── upgrade_manager.c
│   │   ├── upgrade_manager.h
│   │   ├── network.c
│   │   ├── network.h
│   │   ├── logger.c
│   │   └── logger.h
│   ├── Makefile
│   └── README.md
├── scripts/
│   ├── upgrade.sh
│   └── README.md
4. 前端部分
运行方式
安装依赖：
bash
Copy
   cd frontend
   npm install
启动开发服务器：
bash
Copy
   npm run serve
打开浏览器，访问 http://localhost:8080 查看前端应用。
代码说明
**public/index.html**：HTML模板文件，包含应用的根元素。
**src/main.js**：应用的入口文件，初始化Vue实例，并挂载到根元素。
**src/App.vue**：根组件，包含<router-view>用于显示路由匹配的组件。
**src/router/index.js**：路由配置文件，定义应用的路由规则。
**src/store/index.js**：Vuex状态管理配置文件，定义应用的全局状态和操作。
**src/components**：包含各个功能组件，如UpgradePackageManager.vue、UpgradeTaskManager.vue、UpgradeLogManager.vue、UserManager.vue。
**src/views**：包含各个页面组件，如Login.vue、Register.vue、Dashboard.vue、Upgrade.vue。
**src/styles/main.css**：全局样式文件。
5. 客户端部分
运行方式
编译客户端程序：
bash
Copy
   cd client
   make
运行客户端程序：
bash
Copy
   sudo ./upgrade_client
代码说明
**src/main.c**：主程序入口，调用升级管理器检查更新。
**src/upgrade_manager.c**：升级管理器，包含检查更新、下载更新和安装更新的逻辑。
**src/upgrade_manager.h**：升级管理器头文件，声明升级管理器的函数。
**src/network.c**：网络模块，模拟从服务器获取更新信息。
**src/network.h**：网络模块头文件，声明网络模块的函数。
**src/logger.c**：日志模块，提供日志记录功能。
**src/logger.h**：日志模块头文件，声明日志模块的函数。
**Makefile**：Makefile文件，定义编译规则。
6. 升级过程Shell脚本
运行方式
确保脚本具有可执行权限：
bash
Copy
   chmod +x scripts/upgrade.sh
以root用户运行脚本：
bash
Copy
   sudo ./scripts/upgrade.sh
代码说明
配置部分：定义更新包的URL、文件名、备份目录、安装目录和日志文件路径。
日志记录函数：定义log_info和log_error函数，用于记录日志信息。
检查是否以root用户运行：确保脚本以root用户运行。
下载更新包：使用curl命令从指定的URL下载更新包。
验证更新包：使用sha256sum命令验证更新包的校验和。
备份当前安装：将当前安装目录备份到指定的备份目录。
解压更新包：使用tar命令解压更新包到安装目录。
执行安装脚本：假设更新包中包含install.sh脚本，执行该脚本完成安装。
清理临时文件：删除下载的更新包文件。
